"$schema" = 'https://starship.rs/config-schema.json'

# Icons: https://www.nerdfonts.com/cheat-sheet
# ░▒▓   ▓▒░   

# ////////////////////////////////////////////////
# FORMAT
# ////////////////////////////////////////////////

# Left
format = """
[░▒▓](color_blkprl)\
$os\
$time\
[](fg:color_blkprl bg:color_bbyseal)\
$hostname\
$localip\
[](fg:color_bbyseal bg:color_crtblue)\
$username\
[](fg:color_crtblue bg:color_urbanite)\
$shell\
$shlvl\
$sudo\
[](fg:color_urbanite bg:color_gred)\
$git_branch\
$git_status\
$package\
$docker_context\
[](fg:color_gred bg:color_coolelg)\
$directory\
[](fg:color_coolelg)\
$line_break\
$character\
[](fg:color_fg)
"""

# Right
right_format = """$cmd_duration"""

# Empty line
add_newline = true

# ////////////////////////////////////////////////
# COLORS
# ////////////////////////////////////////////////

palette = 'arch_os'

# Nord: https://www.nordtheme.com
[palettes.arch_os]
color_fg = '#d8dee9'
color_bg = '#2e3440'
color_red = '#bf616a'
color_green = '#a3be8c'
color_purple = '#b48ead'
color_yellow = '#ebcb8b'
color_orange = '#d08770'
color_white1 = '#eceff4'
color_white2 = '#e5e9f0'
color_white3 = '#d8dee9'
color_black1 = '#2e3440'
color_black2 = '#3b4252'
color_black3 = '#434c5e'
color_black4 = '#4c566a'
color_blue1 = '#5e81ac'
color_blue2 = '#81a1c1'
color_blue3 = '#88c0d0'
color_blue4 = '#8fbcbb'
# Tokyo Night White + Red
color_blkprl = '#1A282A' # Black Pearl
color_gred = '#AD5660' # Grenadine Red
color_coolelg = '#CECED1' # Cool Elegence Light Gray
color_bbyseal = '#A1A5A7' # Baby Seal, Mid Slate Gray
color_crtblue = '#737F83' # Courtyard Blue, Mid Blue Gray
color_urbanite = '#4C5558' # Urbanite, Dark Mid Slate Gray


# ////////////////////////////////////////////////
# LINE BREAK (disabled)
# ////////////////////////////////////////////////

[line_break]
disabled = false # True = Disabled

[character]
disabled = false # True = Disabled
success_symbol = '[ % ](bold fg:color_green)' 
error_symbol = '[ 🢂 ](bold fg:color_red)'
vimcmd_symbol = '[  ](bold fg:color_green)'
vimcmd_replace_one_symbol = '[  ](bold fg:color_purple)'
vimcmd_replace_symbol = '[  ](bold fg:color_purple)'
vimcmd_visual_symbol = '[  ](bold fg:color_yellow)'

# ////////////////////////////////////////////////
# MODULES LEFT
# ////////////////////////////////////////////////

[os]
disabled = false
style = "fg:color_coolelg bg:color_blkprl"
format = "[ $symbol ]($style)"

[os.symbols]
Arch = ""
Fedora = "⛨"

[time]
disabled = false
time_format = "%R" # Hour:Minute Format
style = "bg:color_blkprl"
format = '[[   $time ](fg:color_coolelg bg:color_blkprl)]($style)'

[hostname]
disabled = false
ssh_only = true
ssh_symbol =  " 󱘖 " # 󱘖    󰣀
style = "fg:color_blkprl bg:color_bbyseal"
format = '[$ssh_symbol]($style)[ 󰍹  $hostname ]($style)'

[localip]
disabled = false
ssh_only = true
style = "fg:color_blkprl bg:color_bbyseal"
format = '[ 󰩟 $localipv4 ]($style)'

[username]
disabled = false
show_always = true
style_user = "fg:color_coolelg bg:color_crtblue"
style_root = "fg:color_gred bg:color_crtblue"
format = '[  ]($style)[$user ](fg:color_coolelg bg:color_crtblue)'
 
[shell]
disabled = false
fish_indicator = ""
bash_indicator = "   bash "
unknown_indicator = "   shell "
style = "fg:color_coolelg bg:color_urbanite"
format = "[ $indicator ]($style)"

[shlvl]
disabled = false
threshold = 2
symbol = ''
style = "fg:color_bbyseal bg:color_urbanite"
format = "[ $symbol $shlvl ]($style)"

[sudo]
disabled = false
symbol = '󰌆 ' 
style = "fg:color_gred bg:color_urbanite"
format = '[ $symbol ]($style)'

[git_branch]
symbol = ""
style = "bg:color_gred"
format = '[[ $symbol $branch ](fg:color_fg bg:color_gred)]($style)'

[git_status]
style = "bg:color_gred"
format = '[[($all_status$ahead_behind )](fg:color_fg bg:color_gred)]($style)'

[package]
format = '[  $version ](fg:color_blkprl bg:color_gred)'

[docker_context]
symbol = ""
style = "bg:color_gred"
format = '[[ $symbol( $context) ](fg:color_blkprl bg:color_gred)]($style)'

[directory]
truncation_length = 4
truncation_symbol = "••/"
home_symbol = " " 
read_only = "  "
read_only_style = "fg:color_gred bg:color_coolelg"
style = "fg:color_blkprl bg:color_coolelg"
format = "[  ]($style)[$read_only]($read_only_style)[ $path ]($style)"


# ////////////////////////////////////////////////
# MODULES RIGHT
# ////////////////////////////////////////////////

[cmd_duration]
style = "fg:color_coolelg"
format = "[ ◄ $duration ]($style)"
